## sugar-toolkit-gtk3 0.110.0

=== debian/changelog ===
sugar-toolkit-gtk3 (0.110.0-5) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.0.
  * Update git-buildpackage config: Filter any .git* files.
  * Update watch file: Tighten version regex.
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
      Relax to build-depend unversioned on cdbs.
      Stop build-depend on licensecheck.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Use SPDX License shortnames FSFUL FSFULLR (and derived forms).
  * Tighten lintian overrides regarding License-Reference.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Aug 2017 11:25:29 +0200

sugar-toolkit-gtk3 (0.110.0-4) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix depend instead of append to
    path.
    Closes: Bug#860943. Thanks to James Cameron.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Apr 2017 14:19:42 +0200

sugar-toolkit-gtk3 (0.110.0-3) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix screen resize race.
  * Add patch cherry-picked upstream to sort translation files.
    Closes: Bug#848633. Thanks to Dhole.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git subdir (not cgit).
    + Add .git suffix for Vcs-Git URL.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update watch file:
    + Bump to version 4.
    + Mention gbp --uscan in usage comment.
  * Update copyright info: Extend coverage of Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Jan 2017 04:28:26 +0100

sugar-toolkit-gtk3 (0.110.0-2) unstable; urgency=medium

  * Modernize CDBS use:
    + Let CDBS resolve if build is targeted experimental.
  * Update package relations:
    + Relax to recommend (not depend on) webkit/webkit2.
    + Favor webkit2 over webkit.
    + Recommend webkit2 (without webkit fallback) strengthen favoring.
    + Drop obsolete transitional conflicts/replaces/breaks.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2016 19:00:52 +0100

sugar-toolkit-gtk3 (0.110.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Collaboration: Handle tubes channel failure gracefully.
    + Remove support for Rainbow.
    + Allow one to run activities without Sugar shell.

  [ Jonas Smedegaard ]
  * Update licensing info:
    + Fix add disclaimer to GAP License (arguably needs to be preserved
      as part of "this notice").
    + Extend coverage of autotools files.
    + Extend coverage of Debian packaging.
  * Declare compliance with Debian Policy 3.9.8.
  * Track only stable 0.110 branch in watch file.
  * Have git-buildpackage use versioned upstream branch.
  * Have python-sugar3 suggest python-jarabe and python-carquinyol.
  * Stop recommend older telepathy-gabble: No longer needed for
    collaboration.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).
  * Unfuzz patch 2002.
  * Add patch cherry-picked upstream to fix avoid more introspection
    versioning warnings.
  * Use dh-autoreconf.
    + Build-depend on dh-autoreconf and autoconf-archive.
    Closes: Bug#744666. Thanks to Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2016 03:41:58 +0100
