## sugar-toolkit-gtk3 0.112

=== debian/changelog ===
sugar-toolkit-gtk3 (0.112-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  * Update watch file: Use patterns.
  * Update git-buildpackage config: Stop set debian-branch.
  * Declare compliance with Debian Policy 4.1.1.
  * Drop patches cherry-picked upstream and since applied.
  * Add patch 1001 to handle voices from eSpeak NG.
  * Update package relations:
    + Fix have python-gtk3 recommend gstreamer1.0-espeak
      gstreamer1.0-plugins-good.
  * Unfuzz patches.
  * Handle upstream releases without micro version.
  * Fix rename locale ibo→ig (and not aym→ay no longer shipped
    upstream): ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Nov 2017 03:09:10 +0100
