=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  linux-libc-dev [linux-any],
  hurd-dev [hurd-any],
  d-shlibs (>= 0.59~)
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-sugar/sugar-toolkit-gtk3.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-sugar/sugar-toolkit-gtk3.git
 Homepage: http://wiki.sugarlabs.org/go/Sugar
