=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # TODO: convince upstream to install headers, and provide proper -dev package
 stem = sugarext
-pkgbranch = $(basename $(DEB_UPSTREAM_VERSION))
+pkgbranch = $(subst $(space),.,$(wordlist 1, 2,$(subst .,$(space),$(DEB_UPSTREAM_VERSION))))
 abi = 0
 lib = lib$(stem)
 pkg-lib = lib$(stem)$(abi)
@@ -64,6 +64,8 @@
 #  * shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
 #  * unzip used in sugar3.bundle.bundle
 #  * git used in sugar3.activity.bundlebuilder
+#  * gstreamer1.0-espeak used in sugar3.speech
+#  * gstreamer1.0-plugins-good (autoaudiosink) used in sugar3.speech
 # TODO: relax dependencies for our own GIR when its API is stable
 gir-deps = glib-2.0 gtk-3.0 gconf-2.0 gdkpixbuf-2.0 pango-1.0 rsvg-2.0
 gir-deps += gconf-2.0 atspi-2.0
@@ -78,6 +80,7 @@
 recommends +=, telepathy-salut, shared-mime-info
 recommends +=, gir1.2-webkit2-4.0
 recommends +=, gir1.2-webkit2-4.0 | gir1.2-webkit-3.0
+recommends +=, gstreamer1.0-espeak, gstreamer1.0-plugins-good
 suggests = git, ipython
 suggests +=, python-jarabe, python-carquinyol
 
@@ -132,5 +135,5 @@
 
 # Fix favor ISO 639-1 when differing from ISO 639-2
 binary-post-install/$(pkg-data)::
-	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
-		debian/$(cdbs_curpkg)/usr/share/locale/ay
+	mv debian/$(cdbs_curpkg)/usr/share/locale/ibo \
+		debian/$(cdbs_curpkg)/usr/share/locale/ig
