## sugar-toolkit-gtk3 0.116

=== debian/changelog ===
sugar-toolkit-gtk3 (0.116-5) unstable; urgency=medium

  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Mar 2020 12:28:56 +0100

sugar-toolkit-gtk3 (0.116-5~exp) experimental; urgency=medium

  * Provide binary package libsugarext-dbgsym,
    gracefully migrating from now dropped libsugarext-dbg.
  * Build with python3 (in addition to python2, for now).
    Build-depend on python3.
    Provide binary package python3-sugar3,
    depending on python3-cairo python3-dateutil python3-dbus
    python3-decorator python3-gi python3-gi-cairo python3-six.
    Closes: Bug#931666, #938595.
    Thanks to Aniket Mathur and Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Sep 2019 15:00:45 +0200

sugar-toolkit-gtk3 (0.116-4) unstable; urgency=medium

  * Fix build-depend on dh-python (not python-dev).
  * Really fix FTBFS when building only arch-indep package.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Sep 2019 13:19:23 +0200

sugar-toolkit-gtk3 (0.116-3) unstable; urgency=medium

  * Update git-buildpackage config: Use dep14 git branch debian/master.
  * Fix FTBFS when building only arch-indep package.
  * Avoid installing virtually empty translations.
  * Add patch 1002
    to fix replace broken locale ig with newer but ISO 639-2 named ibo.
    Fix and update related build rules.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Sep 2019 11:50:51 +0200

sugar-toolkit-gtk3 (0.116-2) unstable; urgency=medium

  * Simplify rules.
    Stop build-depend on cdbs.
  * Use debhelper compatibility level 10.
    Stop build-depend explicitly on dh-autoreconf autotools-dev.
    Stop needlesly build-depending on autoconf-archive.
  * Add lintian override regarding debhelper 10.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Sep 2019 20:38:19 +0200

sugar-toolkit-gtk3 (0.116-1) unstable; urgency=medium

  * Update copyright info:
    + Extend coverage of autotools files.
    + Drop bogus License-Grant.
    + Extend coverage of packaging.
  * Add patch from upstream since applied.
  * Unfuzz patches.
  * Update package relations:
    + Have python package depend on gir1.2-telepathyglib-0.12 python-six
      (not python-telepathy python-jarabe).
    + Tighten build-dependency on d-shlibs.
    + Fix have gir1.2-sugarext-1.0 provide gir1.2-sugargestures-1.0.
    + Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.4.0.
  * Set Rules-Requires-Root: no.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Sep 2019 16:14:59 +0200

sugar-toolkit-gtk3 (0.112-2) unstable; urgency=medium

  * Add 0001-sugar3.speech-remove-GConf-compatibility-support.patch
  * Drop unused gir1.2-gconf-2.0 dependency.
  * Update VCS URLs to match the repository in salsa.
  * debian/rules: override s/libfribidi0-dev/libfribidi-dev/ in
    d-shlibmove to address #895235
  * libsugarext-dbg: move Priority: extra to Priority: optional to follow
    Policy.
  * Declare compliance with Debian Policy 4.1.4.

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 14 May 2018 14:14:11 +0200
