=== debian/control ===
Source: sugar-toolkit-gtk3
Section: python
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Santiago Ruano Rincón <santiago@debian.org>,
Build-Depends:
# d-shlibs 0.82+nmu1 needed for libfribidi quirks (see bug#895235)
 d-shlibs (>= 0.82+nmu1~),
 debhelper,
 dh-python,
 gettext,
 gobject-introspection,
# linux-libc-dev/hurd-dev needed by sugar-fatattr
 hurd-dev [hurd-any],
 intltool,
 libasound2-dev | libasound-dev,
 libgdk-pixbuf2.0-dev,
 libgirepository1.0-dev,
 libgtk-3-dev,
 libice-dev,
 librsvg2-dev,
 libsm-dev,
 libx11-dev,
 libxfixes-dev,
 libxi-dev,
 libxml-parser-perl,
# linux-libc-dev/hurd-dev needed by sugar-fatattr
 linux-libc-dev [linux-any],
 python,
 python3,
 x11proto-core-dev,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3.git
Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3
Homepage: http://wiki.sugarlabs.org/go/Sugar
Rules-Requires-Root: no

Package: libsugarext0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libsugarext-data (= ${source:Version}),
Pre-Depends:
 ${misc:Pre-Depends},
Description: Sugar Learning Platform - toolkit runtime library
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This package contains the runtime library.

Package: libsugarext-data
Section: misc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Sugar Learning Platform - toolkit common files
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This contains the common files (translations)
 used by the runtime library.

Package: libsugarext-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-sugarext-1.0 (= ${binary:Version}),
 libsugarext0 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Description: Sugar Learning Platform - toolkit development files
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This package contains the files needed for development.

Package: python-sugar3
Architecture: all
Depends:
 gir1.2-atspi-2.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-rsvg-2.0,
# TODO: relax dependencies for our own GIR when its API is stable
 gir1.2-sugarext-1.0 (<< ${source:Version}.1~),
 gir1.2-sugarext-1.0 (>= ${source:Version}),
 gir1.2-telepathyglib-0.12,
 python-cairo,
 python-dateutil,
 python-dbus,
 python-decorator,
 python-gi,
 python-gi-cairo,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Recommends:
# alsa-utils (mayby still) needed to unmute devices at boot (bug#581504)
 alsa-utils,
 gir1.2-webkit2-4.0,
 gir1.2-webkit2-4.0 | gir1.2-webkit-3.0,
# gstreamer1.0-espeak used in sugar3.speech
 gstreamer1.0-espeak,
# gstreamer1.0-plugins-good (autoaudiosink) used in sugar3.speech
 gstreamer1.0-plugins-good,
# shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
 shared-mime-info,
 telepathy-mission-control-5,
 telepathy-salut,
# unzip used in sugar3.bundle.bundle
 unzip,
Suggests:
# git used in sugar3.activity.bundlebuilder
 git,
 ipython,
# Carquinol used in sugar3.datastore.*
 python-carquinyol,
Provides:
 ${python:Provides},
Description: Sugar Learning Platform - toolkit Python bindings
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This package contains Python bindings.

Package: python3-sugar3
Architecture: all
Depends:
 gir1.2-atspi-2.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-rsvg-2.0,
# TODO: relax dependencies for our own GIR when its API is stable
 gir1.2-sugarext-1.0 (<< ${source:Version}.1~),
 gir1.2-sugarext-1.0 (>= ${source:Version}),
 gir1.2-telepathyglib-0.12,
 python3-cairo,
 python3-dateutil,
 python3-dbus,
 python3-decorator,
 python3-gi,
 python3-gi-cairo,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
# alsa-utils (mayby still) needed to unmute devices at boot (bug#581504)
 alsa-utils,
 gir1.2-webkit2-4.0,
 gir1.2-webkit2-4.0 | gir1.2-webkit-3.0,
# gstreamer1.0-espeak used in sugar3.speech
 gstreamer1.0-espeak,
# gstreamer1.0-plugins-good (autoaudiosink) used in sugar3.speech
 gstreamer1.0-plugins-good,
# shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
 shared-mime-info,
 telepathy-mission-control-5,
 telepathy-salut,
# unzip used in sugar3.bundle.bundle
 unzip,
Suggests:
# git used in sugar3.activity.bundlebuilder
 git,
 ipython3,
# Carquinol used in sugar3.datastore.*
 python3-carquinyol,
Provides:
 ${python3:Provides},
Description: Sugar Learning Platform - toolkit Python3 bindings
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This package contains Python3 bindings.

Package: gir1.2-sugarext-1.0
Section: introspection
Architecture: any
Depends:
 libsugarext0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Provides:
 gir1.2-sugargestures-1.0 (= ${binary:Version}),
Description: Sugar Learning Platform - toolkit GObject introspection
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This package can be used
 by other packages using the GIRepository format
 to generate dynamic bindings.
