## sugar-toolkit-gtk3 0.117

=== debian/changelog ===
sugar-toolkit-gtk3 (0.117-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 1002, adopted upstream
  * unfuzz patches
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat dh-sequence-gir dh-sequence-python3
    (not debhelper dh-python gobject-introspection python3);
    drop lintian override about unversioned debhelper
  * relax to build-depend unversioned on d-shlibs:
    needed version satisfied even in oldstable
  * rules: fix export DH_OPTIONS (not set twice)
  * stop strip virtually empty locales: done upstream now
  * stop superfluous cleanup (leftover from python2 removal)
  * watch: rewrite usage comment
  * copyright: extend coverage
  * mark packages libsugarext-dev gir1.2-sugarext-1.0 as Multi-Arch: same

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Apr 2020 12:00:22 +0200

sugar-toolkit-gtk3 (0.116-6) unstable; urgency=medium

  * Drop python2 support; Closes: #938595

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 12:18:22 -0400
