=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
  Jonas Smedegaard <dr@jones.dk>,
  Santiago Ruano Rincón <santiago@debian.org>,
 Build-Depends:
-# d-shlibs 0.82+nmu1 needed for libfribidi quirks (see bug#895235)
- d-shlibs (>= 0.82+nmu1~),
- debhelper,
- dh-python,
+ d-shlibs,
+ debhelper-compat (= 12),
+ dh-sequence-gir,
+ dh-sequence-python3,
  gettext,
- gobject-introspection,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
  hurd-dev [hurd-any],
  intltool,
@@ -28,8 +27,6 @@
  libxml-parser-perl,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
  linux-libc-dev [linux-any],
- python,
- python3,
  x11proto-core-dev,
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3.git
@@ -84,6 +81,7 @@
 Package: libsugarext-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  gir1.2-sugarext-1.0 (= ${binary:Version}),
  libsugarext0 (= ${binary:Version}),
@@ -101,64 +99,6 @@
  to interact with system services like presence and the datastore.
  .
  This package contains the files needed for development.
-
-Package: python-sugar3
-Architecture: all
-Depends:
- gir1.2-atspi-2.0,
- gir1.2-gdkpixbuf-2.0,
- gir1.2-glib-2.0,
- gir1.2-gtk-3.0,
- gir1.2-pango-1.0,
- gir1.2-rsvg-2.0,
-# TODO: relax dependencies for our own GIR when its API is stable
- gir1.2-sugarext-1.0 (<< ${source:Version}.1~),
- gir1.2-sugarext-1.0 (>= ${source:Version}),
- gir1.2-telepathyglib-0.12,
- python-cairo,
- python-dateutil,
- python-dbus,
- python-decorator,
- python-gi,
- python-gi-cairo,
- python-six,
- ${misc:Depends},
- ${python:Depends},
-Recommends:
-# alsa-utils (mayby still) needed to unmute devices at boot (bug#581504)
- alsa-utils,
- gir1.2-webkit2-4.0,
- gir1.2-webkit2-4.0 | gir1.2-webkit-3.0,
-# gstreamer1.0-espeak used in sugar3.speech
- gstreamer1.0-espeak,
-# gstreamer1.0-plugins-good (autoaudiosink) used in sugar3.speech
- gstreamer1.0-plugins-good,
-# shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
- shared-mime-info,
- telepathy-mission-control-5,
- telepathy-salut,
-# unzip used in sugar3.bundle.bundle
- unzip,
-Suggests:
-# git used in sugar3.activity.bundlebuilder
- git,
- ipython,
-# Carquinol used in sugar3.datastore.*
- python-carquinyol,
-Provides:
- ${python:Provides},
-Description: Sugar Learning Platform - toolkit Python bindings
- Sugar Learning Platform promotes collaborative learning
- through Sugar Activities that encourage critical thinking,
- the heart of a quality education.
- Designed from the ground up especially for children,
- Sugar offers an alternative to traditional "office-desktop" software.
- .
- The sugar3 library contains a set of widgets
- to build HIG compliant applications and interfaces
- to interact with system services like presence and the datastore.
- .
- This package contains Python bindings.
 
 Package: python3-sugar3
 Architecture: all
@@ -221,6 +161,7 @@
 Package: gir1.2-sugarext-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends:
  libsugarext0 (= ${binary:Version}),
  ${gir:Depends},
