=== debian/changelog ===
sugar-toolkit-gtk3 (0.117-1+9.0trisquel1) etiona; urgency=medium

  * Backported from groovy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 17 Oct 2020 18:00:58 +0000
