=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Build-Depends:
  d-shlibs,
  debhelper-compat (= 12),
- dh-sequence-gir,
  dh-sequence-python3,
  gettext,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
