## sugar-toolkit-gtk3 0.118

=== debian/changelog ===
sugar-toolkit-gtk3 (0.118-3) unstable; urgency=medium

  * add patch cherry-picked upstream to implement option --destdir;
    thanks to Vagrant Cascadian and James Cameron
    (see bug#975373, #975374)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Jan 2021 00:22:43 +0100

sugar-toolkit-gtk3 (0.118-2) unstable; urgency=medium

  * fix install built binaries even for arch-independent build,
    to not upset dh_missing

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jan 2021 22:40:22 +0100

sugar-toolkit-gtk3 (0.118-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 13 (not 12)
  * break and replace obsolete python-sugar3;
    closes: bug#980757, thanks to Lisandro Damián Nicanor Pérez Meyer
  * declare compliance with Debian Policy 4.5.1
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jan 2021 15:19:18 +0100
