=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  Santiago Ruano Rincón <santiago@debian.org>,
 Build-Depends:
  d-shlibs,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ dh-sequence-gir,
  dh-sequence-python3,
  gettext,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
@@ -27,7 +28,7 @@
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
  linux-libc-dev [linux-any],
  x11proto-core-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3
 Homepage: http://wiki.sugarlabs.org/go/Sugar
@@ -144,6 +145,10 @@
  python3-carquinyol,
 Provides:
  ${python3:Provides},
+Breaks:
+ python-sugar3 (<< 0.116-6),
+Replaces:
+ python-sugar3 (<< 0.116-6),
 Description: Sugar Learning Platform - toolkit Python3 bindings
  Sugar Learning Platform promotes collaborative learning
  through Sugar Activities that encourage critical thinking,
