## sugar-toolkit-gtk3 0.118-3+10.0trisquel1

=== debian/changelog ===
sugar-toolkit-gtk3 (0.118-3+10.0trisquel1) nabia; urgency=medium

  * Backported from impish as dependency of sugar

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 31 Oct 2021 06:28:40 +0000
