=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
  Santiago Ruano Rincón <santiago@debian.org>,
 Build-Depends:
  d-shlibs,
- debhelper-compat (= 13),
- dh-sequence-gir,
+ debhelper-compat (= 12),
  dh-sequence-python3,
  gettext,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
