## sugar-toolkit-gtk3 0.119

=== debian/changelog ===
sugar-toolkit-gtk3 (0.119-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update copyright info:
    + sort authors by name; fix strip ancient path prefix
    + update coverage
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + sort License sections by name
  * declare compliance with Debian Policy 4.6.1
  * stop override dh_strip: dbgsym-migration is done

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 May 2022 14:25:09 +0200
