=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  Santiago Ruano Rincón <santiago@debian.org>,
 Build-Depends:
  d-shlibs,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ dh-sequence-gir,
  dh-sequence-python3,
  gettext,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
@@ -27,7 +28,7 @@
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
  linux-libc-dev [linux-any],
  x11proto-core-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3
 Homepage: http://wiki.sugarlabs.org/go/Sugar
